Skip to main content
GET
Get list of integrations
Learn more:
  • How does Chift work? ↗
  • How to connect to an integration? ↗

Authorizations

Authorization
string
header
required

This access token needs to be included in each of your request to the Chift API.

Query Parameters

status
enum<string> | null
Available options:
active,
inactive
include_coverage
enum<string> | null
default:false
Available options:
true,
false

Response

Successful Response

integrationid
integer
required
name
string
required
status
enum<string>
required
Available options:
active,
inactive
api
enum<string>
required
Available options:
Point of Sale,
eCommerce,
Accounting,
Invoicing,
Communication,
Banking,
Custom,
Payment,
Property Management System
logo_url
string
required
icon_url
string
required
description
string | null
post_connections
IntegrationsPostConnectionItem · object[] | null

List of post-connections that can be activated for this integration.

operations_coverage
CoverageItem · object[] | null

List of operations coverage for this integration.

credentials
IntegrationsCredentialItem · object[] | null

List of credentials that must be specified to create a connection. Can be used if you want to pass credentials on connection creation. Not compatible with oAuth2 routes.

supported_countries
string[] | null

Country codes (ISO 3166-1 alpha-2) where this integration is supported. If not defined, the integration is supported globally.

Example:

"BE"

local_agent
boolean
default:false

This field indicate if the integration is a local agent.